package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.List;

public class CwHsOutcwVoucherExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwHsOutcwVoucherExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("ID like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("ID not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andLZtbhIsNull() {
            addCriterion("L_ZTBH is null");
            return (Criteria) this;
        }

        public Criteria andLZtbhIsNotNull() {
            addCriterion("L_ZTBH is not null");
            return (Criteria) this;
        }

        public Criteria andLZtbhEqualTo(Integer value) {
            addCriterion("L_ZTBH =", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotEqualTo(Integer value) {
            addCriterion("L_ZTBH <>", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhGreaterThan(Integer value) {
            addCriterion("L_ZTBH >", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZTBH >=", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhLessThan(Integer value) {
            addCriterion("L_ZTBH <", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhLessThanOrEqualTo(Integer value) {
            addCriterion("L_ZTBH <=", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhIn(List<Integer> values) {
            addCriterion("L_ZTBH in", values, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotIn(List<Integer> values) {
            addCriterion("L_ZTBH not in", values, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhBetween(Integer value1, Integer value2) {
            addCriterion("L_ZTBH between", value1, value2, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZTBH not between", value1, value2, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andCompanyIsNull() {
            addCriterion("COMPANY is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIsNotNull() {
            addCriterion("COMPANY is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyEqualTo(String value) {
            addCriterion("COMPANY =", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyNotEqualTo(String value) {
            addCriterion("COMPANY <>", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyGreaterThan(String value) {
            addCriterion("COMPANY >", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("COMPANY >=", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyLessThan(String value) {
            addCriterion("COMPANY <", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyLessThanOrEqualTo(String value) {
            addCriterion("COMPANY <=", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyLike(String value) {
            addCriterion("COMPANY like", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyNotLike(String value) {
            addCriterion("COMPANY not like", value, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyIn(List<String> values) {
            addCriterion("COMPANY in", values, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyNotIn(List<String> values) {
            addCriterion("COMPANY not in", values, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyBetween(String value1, String value2) {
            addCriterion("COMPANY between", value1, value2, "company");
            return (Criteria) this;
        }

        public Criteria andCompanyNotBetween(String value1, String value2) {
            addCriterion("COMPANY not between", value1, value2, "company");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeIsNull() {
            addCriterion("VOUCHER_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeIsNotNull() {
            addCriterion("VOUCHER_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeEqualTo(String value) {
            addCriterion("VOUCHER_TYPE =", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeNotEqualTo(String value) {
            addCriterion("VOUCHER_TYPE <>", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeGreaterThan(String value) {
            addCriterion("VOUCHER_TYPE >", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeGreaterThanOrEqualTo(String value) {
            addCriterion("VOUCHER_TYPE >=", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeLessThan(String value) {
            addCriterion("VOUCHER_TYPE <", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeLessThanOrEqualTo(String value) {
            addCriterion("VOUCHER_TYPE <=", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeLike(String value) {
            addCriterion("VOUCHER_TYPE like", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeNotLike(String value) {
            addCriterion("VOUCHER_TYPE not like", value, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeIn(List<String> values) {
            addCriterion("VOUCHER_TYPE in", values, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeNotIn(List<String> values) {
            addCriterion("VOUCHER_TYPE not in", values, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeBetween(String value1, String value2) {
            addCriterion("VOUCHER_TYPE between", value1, value2, "voucherType");
            return (Criteria) this;
        }

        public Criteria andVoucherTypeNotBetween(String value1, String value2) {
            addCriterion("VOUCHER_TYPE not between", value1, value2, "voucherType");
            return (Criteria) this;
        }

        public Criteria andFiscalYearIsNull() {
            addCriterion("FISCAL_YEAR is null");
            return (Criteria) this;
        }

        public Criteria andFiscalYearIsNotNull() {
            addCriterion("FISCAL_YEAR is not null");
            return (Criteria) this;
        }

        public Criteria andFiscalYearEqualTo(String value) {
            addCriterion("FISCAL_YEAR =", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearNotEqualTo(String value) {
            addCriterion("FISCAL_YEAR <>", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearGreaterThan(String value) {
            addCriterion("FISCAL_YEAR >", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearGreaterThanOrEqualTo(String value) {
            addCriterion("FISCAL_YEAR >=", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearLessThan(String value) {
            addCriterion("FISCAL_YEAR <", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearLessThanOrEqualTo(String value) {
            addCriterion("FISCAL_YEAR <=", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearLike(String value) {
            addCriterion("FISCAL_YEAR like", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearNotLike(String value) {
            addCriterion("FISCAL_YEAR not like", value, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearIn(List<String> values) {
            addCriterion("FISCAL_YEAR in", values, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearNotIn(List<String> values) {
            addCriterion("FISCAL_YEAR not in", values, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearBetween(String value1, String value2) {
            addCriterion("FISCAL_YEAR between", value1, value2, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andFiscalYearNotBetween(String value1, String value2) {
            addCriterion("FISCAL_YEAR not between", value1, value2, "fiscalYear");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodIsNull() {
            addCriterion("ACCOUNTING_PERIOD is null");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodIsNotNull() {
            addCriterion("ACCOUNTING_PERIOD is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodEqualTo(String value) {
            addCriterion("ACCOUNTING_PERIOD =", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodNotEqualTo(String value) {
            addCriterion("ACCOUNTING_PERIOD <>", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodGreaterThan(String value) {
            addCriterion("ACCOUNTING_PERIOD >", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodGreaterThanOrEqualTo(String value) {
            addCriterion("ACCOUNTING_PERIOD >=", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodLessThan(String value) {
            addCriterion("ACCOUNTING_PERIOD <", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodLessThanOrEqualTo(String value) {
            addCriterion("ACCOUNTING_PERIOD <=", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodLike(String value) {
            addCriterion("ACCOUNTING_PERIOD like", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodNotLike(String value) {
            addCriterion("ACCOUNTING_PERIOD not like", value, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodIn(List<String> values) {
            addCriterion("ACCOUNTING_PERIOD in", values, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodNotIn(List<String> values) {
            addCriterion("ACCOUNTING_PERIOD not in", values, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodBetween(String value1, String value2) {
            addCriterion("ACCOUNTING_PERIOD between", value1, value2, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountingPeriodNotBetween(String value1, String value2) {
            addCriterion("ACCOUNTING_PERIOD not between", value1, value2, "accountingPeriod");
            return (Criteria) this;
        }

        public Criteria andVoucherIdIsNull() {
            addCriterion("VOUCHER_ID is null");
            return (Criteria) this;
        }

        public Criteria andVoucherIdIsNotNull() {
            addCriterion("VOUCHER_ID is not null");
            return (Criteria) this;
        }

        public Criteria andVoucherIdEqualTo(String value) {
            addCriterion("VOUCHER_ID =", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdNotEqualTo(String value) {
            addCriterion("VOUCHER_ID <>", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdGreaterThan(String value) {
            addCriterion("VOUCHER_ID >", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdGreaterThanOrEqualTo(String value) {
            addCriterion("VOUCHER_ID >=", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdLessThan(String value) {
            addCriterion("VOUCHER_ID <", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdLessThanOrEqualTo(String value) {
            addCriterion("VOUCHER_ID <=", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdLike(String value) {
            addCriterion("VOUCHER_ID like", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdNotLike(String value) {
            addCriterion("VOUCHER_ID not like", value, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdIn(List<String> values) {
            addCriterion("VOUCHER_ID in", values, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdNotIn(List<String> values) {
            addCriterion("VOUCHER_ID not in", values, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdBetween(String value1, String value2) {
            addCriterion("VOUCHER_ID between", value1, value2, "voucherId");
            return (Criteria) this;
        }

        public Criteria andVoucherIdNotBetween(String value1, String value2) {
            addCriterion("VOUCHER_ID not between", value1, value2, "voucherId");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberIsNull() {
            addCriterion("ATTACHMENT_NUMBER is null");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberIsNotNull() {
            addCriterion("ATTACHMENT_NUMBER is not null");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberEqualTo(String value) {
            addCriterion("ATTACHMENT_NUMBER =", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberNotEqualTo(String value) {
            addCriterion("ATTACHMENT_NUMBER <>", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberGreaterThan(String value) {
            addCriterion("ATTACHMENT_NUMBER >", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberGreaterThanOrEqualTo(String value) {
            addCriterion("ATTACHMENT_NUMBER >=", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberLessThan(String value) {
            addCriterion("ATTACHMENT_NUMBER <", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberLessThanOrEqualTo(String value) {
            addCriterion("ATTACHMENT_NUMBER <=", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberLike(String value) {
            addCriterion("ATTACHMENT_NUMBER like", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberNotLike(String value) {
            addCriterion("ATTACHMENT_NUMBER not like", value, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberIn(List<String> values) {
            addCriterion("ATTACHMENT_NUMBER in", values, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberNotIn(List<String> values) {
            addCriterion("ATTACHMENT_NUMBER not in", values, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberBetween(String value1, String value2) {
            addCriterion("ATTACHMENT_NUMBER between", value1, value2, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andAttachmentNumberNotBetween(String value1, String value2) {
            addCriterion("ATTACHMENT_NUMBER not between", value1, value2, "attachmentNumber");
            return (Criteria) this;
        }

        public Criteria andPrepareddateIsNull() {
            addCriterion("PREPAREDDATE is null");
            return (Criteria) this;
        }

        public Criteria andPrepareddateIsNotNull() {
            addCriterion("PREPAREDDATE is not null");
            return (Criteria) this;
        }

        public Criteria andPrepareddateEqualTo(String value) {
            addCriterion("PREPAREDDATE =", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateNotEqualTo(String value) {
            addCriterion("PREPAREDDATE <>", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateGreaterThan(String value) {
            addCriterion("PREPAREDDATE >", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateGreaterThanOrEqualTo(String value) {
            addCriterion("PREPAREDDATE >=", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateLessThan(String value) {
            addCriterion("PREPAREDDATE <", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateLessThanOrEqualTo(String value) {
            addCriterion("PREPAREDDATE <=", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateLike(String value) {
            addCriterion("PREPAREDDATE like", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateNotLike(String value) {
            addCriterion("PREPAREDDATE not like", value, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateIn(List<String> values) {
            addCriterion("PREPAREDDATE in", values, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateNotIn(List<String> values) {
            addCriterion("PREPAREDDATE not in", values, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateBetween(String value1, String value2) {
            addCriterion("PREPAREDDATE between", value1, value2, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andPrepareddateNotBetween(String value1, String value2) {
            addCriterion("PREPAREDDATE not between", value1, value2, "prepareddate");
            return (Criteria) this;
        }

        public Criteria andEnterIsNull() {
            addCriterion("ENTER is null");
            return (Criteria) this;
        }

        public Criteria andEnterIsNotNull() {
            addCriterion("ENTER is not null");
            return (Criteria) this;
        }

        public Criteria andEnterEqualTo(String value) {
            addCriterion("ENTER =", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterNotEqualTo(String value) {
            addCriterion("ENTER <>", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterGreaterThan(String value) {
            addCriterion("ENTER >", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterGreaterThanOrEqualTo(String value) {
            addCriterion("ENTER >=", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterLessThan(String value) {
            addCriterion("ENTER <", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterLessThanOrEqualTo(String value) {
            addCriterion("ENTER <=", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterLike(String value) {
            addCriterion("ENTER like", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterNotLike(String value) {
            addCriterion("ENTER not like", value, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterIn(List<String> values) {
            addCriterion("ENTER in", values, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterNotIn(List<String> values) {
            addCriterion("ENTER not in", values, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterBetween(String value1, String value2) {
            addCriterion("ENTER between", value1, value2, "enter");
            return (Criteria) this;
        }

        public Criteria andEnterNotBetween(String value1, String value2) {
            addCriterion("ENTER not between", value1, value2, "enter");
            return (Criteria) this;
        }

        public Criteria andCashierIsNull() {
            addCriterion("CASHIER is null");
            return (Criteria) this;
        }

        public Criteria andCashierIsNotNull() {
            addCriterion("CASHIER is not null");
            return (Criteria) this;
        }

        public Criteria andCashierEqualTo(String value) {
            addCriterion("CASHIER =", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierNotEqualTo(String value) {
            addCriterion("CASHIER <>", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierGreaterThan(String value) {
            addCriterion("CASHIER >", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierGreaterThanOrEqualTo(String value) {
            addCriterion("CASHIER >=", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierLessThan(String value) {
            addCriterion("CASHIER <", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierLessThanOrEqualTo(String value) {
            addCriterion("CASHIER <=", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierLike(String value) {
            addCriterion("CASHIER like", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierNotLike(String value) {
            addCriterion("CASHIER not like", value, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierIn(List<String> values) {
            addCriterion("CASHIER in", values, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierNotIn(List<String> values) {
            addCriterion("CASHIER not in", values, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierBetween(String value1, String value2) {
            addCriterion("CASHIER between", value1, value2, "cashier");
            return (Criteria) this;
        }

        public Criteria andCashierNotBetween(String value1, String value2) {
            addCriterion("CASHIER not between", value1, value2, "cashier");
            return (Criteria) this;
        }

        public Criteria andSignatureIsNull() {
            addCriterion("SIGNATURE is null");
            return (Criteria) this;
        }

        public Criteria andSignatureIsNotNull() {
            addCriterion("SIGNATURE is not null");
            return (Criteria) this;
        }

        public Criteria andSignatureEqualTo(String value) {
            addCriterion("SIGNATURE =", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotEqualTo(String value) {
            addCriterion("SIGNATURE <>", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureGreaterThan(String value) {
            addCriterion("SIGNATURE >", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureGreaterThanOrEqualTo(String value) {
            addCriterion("SIGNATURE >=", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLessThan(String value) {
            addCriterion("SIGNATURE <", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLessThanOrEqualTo(String value) {
            addCriterion("SIGNATURE <=", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureLike(String value) {
            addCriterion("SIGNATURE like", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotLike(String value) {
            addCriterion("SIGNATURE not like", value, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureIn(List<String> values) {
            addCriterion("SIGNATURE in", values, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotIn(List<String> values) {
            addCriterion("SIGNATURE not in", values, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureBetween(String value1, String value2) {
            addCriterion("SIGNATURE between", value1, value2, "signature");
            return (Criteria) this;
        }

        public Criteria andSignatureNotBetween(String value1, String value2) {
            addCriterion("SIGNATURE not between", value1, value2, "signature");
            return (Criteria) this;
        }

        public Criteria andCheckerIsNull() {
            addCriterion("CHECKER is null");
            return (Criteria) this;
        }

        public Criteria andCheckerIsNotNull() {
            addCriterion("CHECKER is not null");
            return (Criteria) this;
        }

        public Criteria andCheckerEqualTo(String value) {
            addCriterion("CHECKER =", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerNotEqualTo(String value) {
            addCriterion("CHECKER <>", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerGreaterThan(String value) {
            addCriterion("CHECKER >", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerGreaterThanOrEqualTo(String value) {
            addCriterion("CHECKER >=", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerLessThan(String value) {
            addCriterion("CHECKER <", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerLessThanOrEqualTo(String value) {
            addCriterion("CHECKER <=", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerLike(String value) {
            addCriterion("CHECKER like", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerNotLike(String value) {
            addCriterion("CHECKER not like", value, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerIn(List<String> values) {
            addCriterion("CHECKER in", values, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerNotIn(List<String> values) {
            addCriterion("CHECKER not in", values, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerBetween(String value1, String value2) {
            addCriterion("CHECKER between", value1, value2, "checker");
            return (Criteria) this;
        }

        public Criteria andCheckerNotBetween(String value1, String value2) {
            addCriterion("CHECKER not between", value1, value2, "checker");
            return (Criteria) this;
        }

        public Criteria andPostingDateIsNull() {
            addCriterion("POSTING_DATE is null");
            return (Criteria) this;
        }

        public Criteria andPostingDateIsNotNull() {
            addCriterion("POSTING_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andPostingDateEqualTo(String value) {
            addCriterion("POSTING_DATE =", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateNotEqualTo(String value) {
            addCriterion("POSTING_DATE <>", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateGreaterThan(String value) {
            addCriterion("POSTING_DATE >", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateGreaterThanOrEqualTo(String value) {
            addCriterion("POSTING_DATE >=", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateLessThan(String value) {
            addCriterion("POSTING_DATE <", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateLessThanOrEqualTo(String value) {
            addCriterion("POSTING_DATE <=", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateLike(String value) {
            addCriterion("POSTING_DATE like", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateNotLike(String value) {
            addCriterion("POSTING_DATE not like", value, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateIn(List<String> values) {
            addCriterion("POSTING_DATE in", values, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateNotIn(List<String> values) {
            addCriterion("POSTING_DATE not in", values, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateBetween(String value1, String value2) {
            addCriterion("POSTING_DATE between", value1, value2, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingDateNotBetween(String value1, String value2) {
            addCriterion("POSTING_DATE not between", value1, value2, "postingDate");
            return (Criteria) this;
        }

        public Criteria andPostingPersonIsNull() {
            addCriterion("POSTING_PERSON is null");
            return (Criteria) this;
        }

        public Criteria andPostingPersonIsNotNull() {
            addCriterion("POSTING_PERSON is not null");
            return (Criteria) this;
        }

        public Criteria andPostingPersonEqualTo(String value) {
            addCriterion("POSTING_PERSON =", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonNotEqualTo(String value) {
            addCriterion("POSTING_PERSON <>", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonGreaterThan(String value) {
            addCriterion("POSTING_PERSON >", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonGreaterThanOrEqualTo(String value) {
            addCriterion("POSTING_PERSON >=", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonLessThan(String value) {
            addCriterion("POSTING_PERSON <", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonLessThanOrEqualTo(String value) {
            addCriterion("POSTING_PERSON <=", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonLike(String value) {
            addCriterion("POSTING_PERSON like", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonNotLike(String value) {
            addCriterion("POSTING_PERSON not like", value, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonIn(List<String> values) {
            addCriterion("POSTING_PERSON in", values, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonNotIn(List<String> values) {
            addCriterion("POSTING_PERSON not in", values, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonBetween(String value1, String value2) {
            addCriterion("POSTING_PERSON between", value1, value2, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andPostingPersonNotBetween(String value1, String value2) {
            addCriterion("POSTING_PERSON not between", value1, value2, "postingPerson");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemIsNull() {
            addCriterion("VOUCHER_MAKING_SYSTEM is null");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemIsNotNull() {
            addCriterion("VOUCHER_MAKING_SYSTEM is not null");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemEqualTo(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM =", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemNotEqualTo(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM <>", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemGreaterThan(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM >", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemGreaterThanOrEqualTo(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM >=", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemLessThan(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM <", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemLessThanOrEqualTo(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM <=", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemLike(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM like", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemNotLike(String value) {
            addCriterion("VOUCHER_MAKING_SYSTEM not like", value, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemIn(List<String> values) {
            addCriterion("VOUCHER_MAKING_SYSTEM in", values, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemNotIn(List<String> values) {
            addCriterion("VOUCHER_MAKING_SYSTEM not in", values, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemBetween(String value1, String value2) {
            addCriterion("VOUCHER_MAKING_SYSTEM between", value1, value2, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andVoucherMakingSystemNotBetween(String value1, String value2) {
            addCriterion("VOUCHER_MAKING_SYSTEM not between", value1, value2, "voucherMakingSystem");
            return (Criteria) this;
        }

        public Criteria andMemo1IsNull() {
            addCriterion("MEMO1 is null");
            return (Criteria) this;
        }

        public Criteria andMemo1IsNotNull() {
            addCriterion("MEMO1 is not null");
            return (Criteria) this;
        }

        public Criteria andMemo1EqualTo(String value) {
            addCriterion("MEMO1 =", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1NotEqualTo(String value) {
            addCriterion("MEMO1 <>", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1GreaterThan(String value) {
            addCriterion("MEMO1 >", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1GreaterThanOrEqualTo(String value) {
            addCriterion("MEMO1 >=", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1LessThan(String value) {
            addCriterion("MEMO1 <", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1LessThanOrEqualTo(String value) {
            addCriterion("MEMO1 <=", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1Like(String value) {
            addCriterion("MEMO1 like", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1NotLike(String value) {
            addCriterion("MEMO1 not like", value, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1In(List<String> values) {
            addCriterion("MEMO1 in", values, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1NotIn(List<String> values) {
            addCriterion("MEMO1 not in", values, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1Between(String value1, String value2) {
            addCriterion("MEMO1 between", value1, value2, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo1NotBetween(String value1, String value2) {
            addCriterion("MEMO1 not between", value1, value2, "memo1");
            return (Criteria) this;
        }

        public Criteria andMemo2IsNull() {
            addCriterion("MEMO2 is null");
            return (Criteria) this;
        }

        public Criteria andMemo2IsNotNull() {
            addCriterion("MEMO2 is not null");
            return (Criteria) this;
        }

        public Criteria andMemo2EqualTo(String value) {
            addCriterion("MEMO2 =", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2NotEqualTo(String value) {
            addCriterion("MEMO2 <>", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2GreaterThan(String value) {
            addCriterion("MEMO2 >", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2GreaterThanOrEqualTo(String value) {
            addCriterion("MEMO2 >=", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2LessThan(String value) {
            addCriterion("MEMO2 <", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2LessThanOrEqualTo(String value) {
            addCriterion("MEMO2 <=", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2Like(String value) {
            addCriterion("MEMO2 like", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2NotLike(String value) {
            addCriterion("MEMO2 not like", value, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2In(List<String> values) {
            addCriterion("MEMO2 in", values, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2NotIn(List<String> values) {
            addCriterion("MEMO2 not in", values, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2Between(String value1, String value2) {
            addCriterion("MEMO2 between", value1, value2, "memo2");
            return (Criteria) this;
        }

        public Criteria andMemo2NotBetween(String value1, String value2) {
            addCriterion("MEMO2 not between", value1, value2, "memo2");
            return (Criteria) this;
        }

        public Criteria andReserve1IsNull() {
            addCriterion("RESERVE1 is null");
            return (Criteria) this;
        }

        public Criteria andReserve1IsNotNull() {
            addCriterion("RESERVE1 is not null");
            return (Criteria) this;
        }

        public Criteria andReserve1EqualTo(String value) {
            addCriterion("RESERVE1 =", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1NotEqualTo(String value) {
            addCriterion("RESERVE1 <>", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1GreaterThan(String value) {
            addCriterion("RESERVE1 >", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1GreaterThanOrEqualTo(String value) {
            addCriterion("RESERVE1 >=", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1LessThan(String value) {
            addCriterion("RESERVE1 <", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1LessThanOrEqualTo(String value) {
            addCriterion("RESERVE1 <=", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1Like(String value) {
            addCriterion("RESERVE1 like", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1NotLike(String value) {
            addCriterion("RESERVE1 not like", value, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1In(List<String> values) {
            addCriterion("RESERVE1 in", values, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1NotIn(List<String> values) {
            addCriterion("RESERVE1 not in", values, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1Between(String value1, String value2) {
            addCriterion("RESERVE1 between", value1, value2, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve1NotBetween(String value1, String value2) {
            addCriterion("RESERVE1 not between", value1, value2, "reserve1");
            return (Criteria) this;
        }

        public Criteria andReserve2IsNull() {
            addCriterion("RESERVE2 is null");
            return (Criteria) this;
        }

        public Criteria andReserve2IsNotNull() {
            addCriterion("RESERVE2 is not null");
            return (Criteria) this;
        }

        public Criteria andReserve2EqualTo(String value) {
            addCriterion("RESERVE2 =", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2NotEqualTo(String value) {
            addCriterion("RESERVE2 <>", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2GreaterThan(String value) {
            addCriterion("RESERVE2 >", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2GreaterThanOrEqualTo(String value) {
            addCriterion("RESERVE2 >=", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2LessThan(String value) {
            addCriterion("RESERVE2 <", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2LessThanOrEqualTo(String value) {
            addCriterion("RESERVE2 <=", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2Like(String value) {
            addCriterion("RESERVE2 like", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2NotLike(String value) {
            addCriterion("RESERVE2 not like", value, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2In(List<String> values) {
            addCriterion("RESERVE2 in", values, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2NotIn(List<String> values) {
            addCriterion("RESERVE2 not in", values, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2Between(String value1, String value2) {
            addCriterion("RESERVE2 between", value1, value2, "reserve2");
            return (Criteria) this;
        }

        public Criteria andReserve2NotBetween(String value1, String value2) {
            addCriterion("RESERVE2 not between", value1, value2, "reserve2");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIsNull() {
            addCriterion("L_IMPORT_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIsNotNull() {
            addCriterion("L_IMPORT_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andLImportFlagEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG =", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG <>", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagGreaterThan(Integer value) {
            addCriterion("L_IMPORT_FLAG >", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG >=", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagLessThan(Integer value) {
            addCriterion("L_IMPORT_FLAG <", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagLessThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG <=", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIn(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG in", values, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotIn(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG not in", values, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagBetween(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG between", value1, value2, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG not between", value1, value2, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIsNull() {
            addCriterion("VC_IMPORT_DESCRIBE is null");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIsNotNull() {
            addCriterion("VC_IMPORT_DESCRIBE is not null");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE =", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <>", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeGreaterThan(String value) {
            addCriterion("VC_IMPORT_DESCRIBE >", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeGreaterThanOrEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE >=", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLessThan(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLessThanOrEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <=", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLike(String value) {
            addCriterion("VC_IMPORT_DESCRIBE like", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotLike(String value) {
            addCriterion("VC_IMPORT_DESCRIBE not like", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIn(List<String> values) {
            addCriterion("VC_IMPORT_DESCRIBE in", values, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotIn(List<String> values) {
            addCriterion("VC_IMPORT_DESCRIBE not in", values, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeBetween(String value1, String value2) {
            addCriterion("VC_IMPORT_DESCRIBE between", value1, value2, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotBetween(String value1, String value2) {
            addCriterion("VC_IMPORT_DESCRIBE not between", value1, value2, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andDrIsNull() {
            addCriterion("DR is null");
            return (Criteria) this;
        }

        public Criteria andDrIsNotNull() {
            addCriterion("DR is not null");
            return (Criteria) this;
        }

        public Criteria andDrEqualTo(Integer value) {
            addCriterion("DR =", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotEqualTo(Integer value) {
            addCriterion("DR <>", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrGreaterThan(Integer value) {
            addCriterion("DR >", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrGreaterThanOrEqualTo(Integer value) {
            addCriterion("DR >=", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrLessThan(Integer value) {
            addCriterion("DR <", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrLessThanOrEqualTo(Integer value) {
            addCriterion("DR <=", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrIn(List<Integer> values) {
            addCriterion("DR in", values, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotIn(List<Integer> values) {
            addCriterion("DR not in", values, "dr");
            return (Criteria) this;
        }

        public Criteria andDrBetween(Integer value1, Integer value2) {
            addCriterion("DR between", value1, value2, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotBetween(Integer value1, Integer value2) {
            addCriterion("DR not between", value1, value2, "dr");
            return (Criteria) this;
        }

        public Criteria andTsIsNull() {
            addCriterion("TS is null");
            return (Criteria) this;
        }

        public Criteria andTsIsNotNull() {
            addCriterion("TS is not null");
            return (Criteria) this;
        }

        public Criteria andTsEqualTo(String value) {
            addCriterion("TS =", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotEqualTo(String value) {
            addCriterion("TS <>", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsGreaterThan(String value) {
            addCriterion("TS >", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsGreaterThanOrEqualTo(String value) {
            addCriterion("TS >=", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLessThan(String value) {
            addCriterion("TS <", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLessThanOrEqualTo(String value) {
            addCriterion("TS <=", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLike(String value) {
            addCriterion("TS like", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotLike(String value) {
            addCriterion("TS not like", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsIn(List<String> values) {
            addCriterion("TS in", values, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotIn(List<String> values) {
            addCriterion("TS not in", values, "ts");
            return (Criteria) this;
        }

        public Criteria andTsBetween(String value1, String value2) {
            addCriterion("TS between", value1, value2, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotBetween(String value1, String value2) {
            addCriterion("TS not between", value1, value2, "ts");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIsNull() {
            addCriterion("VC_HTBH is null");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIsNotNull() {
            addCriterion("VC_HTBH is not null");
            return (Criteria) this;
        }

        public Criteria andVcHtbhEqualTo(String value) {
            addCriterion("VC_HTBH =", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotEqualTo(String value) {
            addCriterion("VC_HTBH <>", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhGreaterThan(String value) {
            addCriterion("VC_HTBH >", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhGreaterThanOrEqualTo(String value) {
            addCriterion("VC_HTBH >=", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLessThan(String value) {
            addCriterion("VC_HTBH <", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLessThanOrEqualTo(String value) {
            addCriterion("VC_HTBH <=", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLike(String value) {
            addCriterion("VC_HTBH like", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotLike(String value) {
            addCriterion("VC_HTBH not like", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIn(List<String> values) {
            addCriterion("VC_HTBH in", values, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotIn(List<String> values) {
            addCriterion("VC_HTBH not in", values, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhBetween(String value1, String value2) {
            addCriterion("VC_HTBH between", value1, value2, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotBetween(String value1, String value2) {
            addCriterion("VC_HTBH not between", value1, value2, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1IsNull() {
            addCriterion("L_IMPORT_FLAG1 is null");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1IsNotNull() {
            addCriterion("L_IMPORT_FLAG1 is not null");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1EqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG1 =", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1NotEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG1 <>", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1GreaterThan(Integer value) {
            addCriterion("L_IMPORT_FLAG1 >", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1GreaterThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG1 >=", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1LessThan(Integer value) {
            addCriterion("L_IMPORT_FLAG1 <", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1LessThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG1 <=", value, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1In(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG1 in", values, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1NotIn(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG1 not in", values, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1Between(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG1 between", value1, value2, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andLImportFlag1NotBetween(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG1 not between", value1, value2, "lImportFlag1");
            return (Criteria) this;
        }

        public Criteria andVcAdminIsNull() {
            addCriterion("VC_ADMIN is null");
            return (Criteria) this;
        }

        public Criteria andVcAdminIsNotNull() {
            addCriterion("VC_ADMIN is not null");
            return (Criteria) this;
        }

        public Criteria andVcAdminEqualTo(String value) {
            addCriterion("VC_ADMIN =", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminNotEqualTo(String value) {
            addCriterion("VC_ADMIN <>", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminGreaterThan(String value) {
            addCriterion("VC_ADMIN >", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminGreaterThanOrEqualTo(String value) {
            addCriterion("VC_ADMIN >=", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminLessThan(String value) {
            addCriterion("VC_ADMIN <", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminLessThanOrEqualTo(String value) {
            addCriterion("VC_ADMIN <=", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminLike(String value) {
            addCriterion("VC_ADMIN like", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminNotLike(String value) {
            addCriterion("VC_ADMIN not like", value, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminIn(List<String> values) {
            addCriterion("VC_ADMIN in", values, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminNotIn(List<String> values) {
            addCriterion("VC_ADMIN not in", values, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminBetween(String value1, String value2) {
            addCriterion("VC_ADMIN between", value1, value2, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcAdminNotBetween(String value1, String value2) {
            addCriterion("VC_ADMIN not between", value1, value2, "vcAdmin");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIsNull() {
            addCriterion("VC_JKFS is null");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIsNotNull() {
            addCriterion("VC_JKFS is not null");
            return (Criteria) this;
        }

        public Criteria andVcJkfsEqualTo(String value) {
            addCriterion("VC_JKFS =", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotEqualTo(String value) {
            addCriterion("VC_JKFS <>", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsGreaterThan(String value) {
            addCriterion("VC_JKFS >", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsGreaterThanOrEqualTo(String value) {
            addCriterion("VC_JKFS >=", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLessThan(String value) {
            addCriterion("VC_JKFS <", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLessThanOrEqualTo(String value) {
            addCriterion("VC_JKFS <=", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLike(String value) {
            addCriterion("VC_JKFS like", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotLike(String value) {
            addCriterion("VC_JKFS not like", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIn(List<String> values) {
            addCriterion("VC_JKFS in", values, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotIn(List<String> values) {
            addCriterion("VC_JKFS not in", values, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsBetween(String value1, String value2) {
            addCriterion("VC_JKFS between", value1, value2, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotBetween(String value1, String value2) {
            addCriterion("VC_JKFS not between", value1, value2, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhIsNull() {
            addCriterion("L_ZZGSBH is null");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhIsNotNull() {
            addCriterion("L_ZZGSBH is not null");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhEqualTo(Integer value) {
            addCriterion("L_ZZGSBH =", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhNotEqualTo(Integer value) {
            addCriterion("L_ZZGSBH <>", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhGreaterThan(Integer value) {
            addCriterion("L_ZZGSBH >", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZZGSBH >=", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhLessThan(Integer value) {
            addCriterion("L_ZZGSBH <", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhLessThanOrEqualTo(Integer value) {
            addCriterion("L_ZZGSBH <=", value, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhIn(List<Integer> values) {
            addCriterion("L_ZZGSBH in", values, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhNotIn(List<Integer> values) {
            addCriterion("L_ZZGSBH not in", values, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhBetween(Integer value1, Integer value2) {
            addCriterion("L_ZZGSBH between", value1, value2, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andLZzgsbhNotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZZGSBH not between", value1, value2, "lZzgsbh");
            return (Criteria) this;
        }

        public Criteria andVcHsdmIsNull() {
            addCriterion("VC_HSDM is null");
            return (Criteria) this;
        }

        public Criteria andVcHsdmIsNotNull() {
            addCriterion("VC_HSDM is not null");
            return (Criteria) this;
        }

        public Criteria andVcHsdmEqualTo(String value) {
            addCriterion("VC_HSDM =", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmNotEqualTo(String value) {
            addCriterion("VC_HSDM <>", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmGreaterThan(String value) {
            addCriterion("VC_HSDM >", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmGreaterThanOrEqualTo(String value) {
            addCriterion("VC_HSDM >=", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmLessThan(String value) {
            addCriterion("VC_HSDM <", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmLessThanOrEqualTo(String value) {
            addCriterion("VC_HSDM <=", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmLike(String value) {
            addCriterion("VC_HSDM like", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmNotLike(String value) {
            addCriterion("VC_HSDM not like", value, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmIn(List<String> values) {
            addCriterion("VC_HSDM in", values, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmNotIn(List<String> values) {
            addCriterion("VC_HSDM not in", values, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmBetween(String value1, String value2) {
            addCriterion("VC_HSDM between", value1, value2, "vcHsdm");
            return (Criteria) this;
        }

        public Criteria andVcHsdmNotBetween(String value1, String value2) {
            addCriterion("VC_HSDM not between", value1, value2, "vcHsdm");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}